GFS_ACL_TO_XATTR_VAL(3)

NAME
gfs_acl_to_xattr_value - convert a Gfarm ACL to binary data for Gfarm extended attribute

SYNOPSIS

#include <gfarm/gfarm.h>

gfarm_error_t gfs_acl_to_xattr_value(gfarm_acl_t acl, void **xattr_value_p, size_t *size_p);

INPUT ARGUMENTS

acl
    An ACL structure type which is sorted.

xattr_value_p
    A pointer to the converted binary data.

size_p
    A value pointed to by size_p is set to the length of the converted binary data.

RETURN VALUES

GFARM_ERR_NO_ERROR
    The function terminated successfully.

GFARM_ERR_NO_MEMORY
    Insufficient memory was available.

Others
    An error except the above occurred. The reason is shown by gfarm_error_string(3).

SEE ALSO

gfs_acl_sort(3), gfs_acl_set_file(3), gfs_setxattr(3), gfs_acl_from_xattr_value(3)